Version
Method & Permission
| API | GET | POST | PUT | PATCH | DELETE |
|---|---|---|---|---|---|
| Version List | Admin, Project Admin, Project Edit, Project View | - | - | - | - |
| Version Detail | Admin, Project Admin, Project Edit, Project View | - | - | Project Admin*, Project Edit* | - |
*Only the commit message can be updated.
GET Version List
Endpoint: /tables/version/list/{level}/{sid}/{serializer}/
Parameter: level (path, string)
organization
Parameter: sid (path, string)
organization sid
Parameter: serializer (path, string)
Parameter: token (header, string)
Parameter: dataonly (query, boolean)
Use dataonly to return the row data object
Parameter: row__sid (query, string)
Response: 200
#serializer = name
{
"page_size": 10,
"page_number": 1,
"page_count": 4,
"count": 33,
"next": "xxx",
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"name": "EP625: Test Name 20200525133408 (33)"
},
...
]
}
#serializer = list
{
"page_size": 10,
"page_number": 1,
"page_count": 4,
"count": 33,
"next": "xxx",
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"name": "EP625: Test Name 20200525133408 (33)",
"hash": "xxx",
"previousHash": "xxx",
"version": 33,
"activity_message": "xxx",
"commit": null,
"is_valid": true,
"updated_by": "Yonggan Wu",
"date_created": "2020-06-12T18:54:06.314767Z",
"change_permission": true
}
...
]
}
#serializer = name
{
"page_size": 10,
"page_number": 1,
"page_count": 4,
"count": 33,
"next": "xxx",
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"name": "EP625: Test Name 20200525133408 (33)",
"hash": "xxx",
"data": {},
"previousHash": "xxx",
"version": 33,
"activity_message": "xxx",
"commit": null,
"is_valid": true,
"updated_by": "Yonggan Wu",
"date_created": "2020-06-12T18:54:06.314767Z",
"change_permission": true
},
...
]
}
GET Version Detail
Endpoint: /tables/version/detail/{sid}/
Parameter: sid (path, string)
Parameter: token (header, string)
Response: 200
{
"sid": "xxx",
"hash": "VGd4bzZhZmVhMzBkOWZlMmViNTdmZDE3YzBhOWVlMTUwYmMzSEZMcQ__",
"previousHash": "WFFWbGRlMzViMmM1MzViZmM0MTdmYjU2N2FmZWFkYmFjOGJkWHFRSw__",
"version": 8,
"data": {
...
}
"activity_message": "Updated data of Section (Files (No Preview)) from None to {\"files\": [{\"sid\": \"orux0a40x239qvAFKPUZ\", \"name\": \" FL143: FL154_ Small Workbook.xlsx (v3)\"}, {\"sid\": \"mpsv0a40x237otyDINSX\", \"name\": \" FL141: 2015-5-5 lib pool.xlsx (v3)\"}, {\"sid\": \"ehkn0a40x7dglqvAFKP\", \"name\": \" FL8: linkers and templates for subset-2.xlsx (v3)\"}]}",
"updated_by": {
"sid": "xxx",
"first_name": "xxx",
"last_name": "xxx",
"email": "xxx@labii.com"
},
"date_updated": "2018-07-27T07:10:57.293464Z",
"date_created": "2018-07-27T07:10:57.279388Z",
"change_permission": false
}
PATCH Version Detail
Endpoint: /tables/version/detail/{sid}/
Parameter: sid (path, string)
Parameter: token (header, string)
Parameter: commit (body, string)
Response: 200
{
"sid": "xxx",
"hash": "VGd4bzZhZmVhMzBkOWZlMmViNTdmZDE3YzBhOWVlMTUwYmMzSEZMcQ__",
"previousHash": "WFFWbGRlMzViMmM1MzViZmM0MTdmYjU2N2FmZWFkYmFjOGJkWHFRSw__",
"version": 8,
"data": {
...
}
"activity_message": "Updated data of Section (Files (No Preview)) from None to {\"files\": [{\"sid\": \"orux0a40x239qvAFKPUZ\", \"name\": \" FL143: FL154_ Small Workbook.xlsx (v3)\"}, {\"sid\": \"mpsv0a40x237otyDINSX\", \"name\": \" FL141: 2015-5-5 lib pool.xlsx (v3)\"}, {\"sid\": \"ehkn0a40x7dglqvAFKP\", \"name\": \" FL8: linkers and templates for subset-2.xlsx (v3)\"}]}",
"updated_by": {
"sid": "xxx",
"first_name": "xxx",
"last_name": "xxx",
"email": "xxx@labii.com"
},
"date_updated": "2018-07-27T07:10:57.293464Z",
"date_created": "2018-07-27T07:10:57.279388Z",
"change_permission": false
}